package me.qwq.doghouse.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;

import me.qwq.doghouse.annotation.StaticAttribute;

/**
 * 评论触发动作
 **/
@StaticAttribute
public enum CommentAction implements IQueryableEnum {

    NONE(0,"无动作"),
    WAITING(1,"标记为待审"),
    SPAM(2,"标记为垃圾"),
    FAIL(3,"评论失败");

    @EnumValue
    private final int status;
    private final String note;

    CommentAction(int status, String note) {
        this.status = status;
        this.note = note;
    }

    public String getNote() {
        return note;
    }

    public int getStatus() {
        return status;
    }
}
